Package com.ocient.jdbc

# Interface XGConnection.ResponseHandler<Response>

Type Parameters:
  `Response` - the type of response returned by the handler

Enclosing class:
  XGConnection

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public static interface XGConnection.ResponseHandler<Response>

A response handler for response frame

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`Response` | `handleFrame​(byte[] frame)` | Handles the given frame and returns a response.

## Method Details

### handleFrame

Response handleFrame​(byte[] frame) throws Exception
Handles the given frame and returns a response.

Parameters:
  `data` - the byte array data to be handled
Returns:
  the response generated by handling the frame
Throws:
  `Exception` - if an error occurs while handling the frame